import request from '@/utils/request'

export function handleTurnDownTower(data) {
  return request({
    url: '/pssr/overhaulTower/turnDownTower',
    method: 'put',
    data: data
  })
}
// 查询检修项目-塔罐列表
export function listOverhaulTower(query) {
  return request({
    url: '/pssr/overhaulTower/list',
    method: 'get',
    params: query
  })
}

// 查询检修项目-塔罐详细
export function getOverhaulTower(id) {
  return request({
    url: '/pssr/overhaulTower/' + id,
    method: 'get'
  })
}

// 新增检修项目-塔罐
export function addOverhaulTower(data) {
  return request({
    url: '/pssr/overhaulTower',
    method: 'post',
    data: data
  })
}

// 修改检修项目-塔罐
export function updateOverhaulTower(data) {
  return request({
    url: '/pssr/overhaulTower',
    method: 'put',
    data: data
  })
}

//
export function updateOverhaulTowerBatch(data) {
  return request({
    url: '/pssr/overhaulTower/editBatch',
    method: 'put',
    data: data
  })
}


// 确认检修项目-塔罐
export function handleConfirmApprove(data) {
  return request({
    url: '/pssr/overhaulTower/confirmTower',
    method: 'put',
    data: data
  })
}

// 删除检修项目-塔罐
export function delOverhaulTower(id) {
  return request({
    url: '/pssr/overhaulTower/' + id,
    method: 'delete'
  })
}

// 导出检修项目-塔罐
export function exportOverhaulTower(query) {
  return request({
    url: '/pssr/overhaulTower/export',
    method: 'get',
    params: query
  })
}
